        program sample

        CHARACTER(LEN=144), PARAMETER :: filename = &
&       "../data/GPM/DPR/GPMCOR_DPR_2604010211_0345_068594_L2S_DD2_08A.nc.precipRateESurface"

        ! read data area 
        real*4 precipRateESurface(49,7988)

        ! binary file open 
        open(10,file=filename,access='direct',status='old',recl=4*49*7988)

        ! binary file read
        read(10,rec=1) precipRateESurface

        ! print the value 
        write(*,*) "filename=",filename,""
        write(*,*) "precipRateESurface(44,5211)=",precipRateESurface(44,5211), "(mm/hr)"
        write(*,*) "precipRateESurface(45,5211)=",precipRateESurface(45,5211), "(mm/hr)"

        ! binary file close 
        close(10)

        end

PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_2ADPR.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandleL2DPR
RECORD /L2ADPR_SWATHS/ L2ADPR

	PARAMETER( NANGLE=49, NRANGE=176 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

    REAL*8 lat(NANGLE), lon(NANGLE)
    REAL*4 precipRateESurface(NANGLE)
    REAL*4 precipWater(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	!status = TKopen( file, '2ADPR', TKREAD, 'HDF5', jobname, granuleHandleL2DPR, 0 )
        status = TKopen( file, '2ADPR', TKREAD, 'NETCDF4', jobname, granuleHandleL2DPR, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandleL2DPR.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandleL2DPR, 'FS_SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandleL2DPR, L2ADPR )

		! ScanTime Read
		year      = L2ADPR.FS.ScanTime.Year
		month     = L2ADPR.FS.ScanTime.Month
		dayOfMon  = L2ADPR.FS.ScanTime.DayOfMonth
		hour      = L2ADPR.FS.ScanTime.Hour
		min       = L2ADPR.FS.ScanTime.Minute
		sec       = L2ADPR.FS.ScanTime.Second
		msec      = L2ADPR.FS.ScanTime.MilliSecond
		dayOfYear = L2ADPR.FS.ScanTime.DayOfYear
		secOfDay  = L2ADPR.FS.ScanTime.SecondOfDay

		do iangle=1,NANGLE
            ! Latitude and Longitude Read
            lat(iangle)  = L2ADPR.FS.Latitude(iangle)
            lon(iangle)  = L2ADPR.FS.Longitude(iangle)

            ! precipRateESurface Read
            precipRateESurface(iangle) = L2ADPR.FS.SLV.precipRateESurface(iangle)

			do irange=1,NRANGE
                precipWater(irange, iangle) = L2ADPR.FS.SLV.precipWater(irange, iangle)
            enddo
            ! print the value
            IF(iscan .eq. 5211 .and. iangle .eq. 44 ) THEN
                write(*,*) "scan=",iscan-1,",angle=",iangle-1
                write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                write(*,*) "precipRateESurface=",precipRateESurface(iangle), "(mm/hr)" 
                write(*,*) "precipWater(171,44)=", precipWater(171, iangle), "(g/m~3)"
            ENDIF
        enddo
    enddo

	status = TKclose( granuleHandleL2DPR )
	STOP
END
	

        program sample

        CHARACTER(LEN=145), PARAMETER :: filename = "../data/GPM/DPR&
&/GPMCOR_DPR_2603_M_L3S_D3M_08A.nc.precipRateESurface_mean"
        REAL*4 lat, lon

        ! read data area 
        real*4 precipRateESurface(28,72,3,3,3)

        ! binary file open 
        open(10,file=filename,access='direct',status='old',recl=4*28*72*3*3*3)

        ! binary file read
        read(10,rec=1) precipRateESurface

        ! print the value 
        write(*,*) "filename=",filename,""
        lat = (140.0/28.0) * (15-1) - 70.0 + (140.0/28.0/2)
        lon = (360.0/72.0) * (64-1) - 180.0 + (360.0/72.0/2)
        write(*,*) "lat=",lat,"lon=",lon
        write(*,*) "precipRateESurface.mean(15,64,1,1,1)=", precipRateESurface(15,64,1,1,1)
        write(*,*) "precipRateESurface.mean(15,64,1,2,1)=", precipRateESurface(15,64,1,2,1)

        ! binary file close 
        close(10)

        end

PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_3GPROF.h"
#include "tkiofortdeclare.h"


RECORD /TKINFO/ granuleHandle3GPROF

RECORD /L3GPROF_GRID/ L3GPROF

	INTEGER status
!	INTEGER iscan, iangle, irange
	INTEGER nlat, nlon 
	CHARACTER*255 jobname, file

        REAL*4 surfacePrecipitation(720,1440)

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
        !status = TKopen( file, '3GPROF', TKREAD, 'HDF5', jobname, granuleHandle3GPROF, 0 )
        status = TKopen( file, '3GPROF', TKREAD, 'NETCDF4', jobname, granuleHandle3GPROF, 0 )
        IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3GPROF.jobname, TKERROR,'message to print' )
	ENDIF

!       Grid data read
	status = TKreadGrid( granuleHandle3GPROF, L3GPROF )

        do nlat=1, 720 
            do nlon=1, 1440 
                ! surfacePrecipitation Read
                surfacePrecipitation(nlat, nlon) = L3GPROF.surfacePrecipitation(nlat,nlon)

                ! print the value
                IF(nlat .eq. 410 .and. nlon .eq. 1110 ) THEN
                    write(*,*) "nlat=",nlat-1,"nlon=",nlon-1
                    write(*,*) "surfacePrecipitation=",surfacePrecipitation(nlat, nlon), "(mm/h)" 
                ENDIF
            enddo
        enddo

!       HDF file close
	status = TKclose( granuleHandle3GPROF )
	STOP
END
	

PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3DPR.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3DPR
RECORD /L3DPR_FS/ L3DPR

    PARAMETER( N_LTL=28, N_LHL=72, N_CHN=3, N_RT=3, N_ST=3 )

	INTEGER status
	INTEGER st, rt, chn, lnL, ltL 
	CHARACTER*255 jobname, file

    REAL*4 precipEsurf(N_LTL,N_LHL,N_CHN,N_RT,N_ST)
    REAL*4 lat, lon

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
!	status = TKopen( file, '3DPR', TKREAD, 'HDF5', jobname, granuleHandle3DPR, 0 )
        status = TKopen( file, '3DPR', TKREAD, 'NETCDF4', jobname, granuleHandle3DPR, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3DPR.jobname, TKERROR,'message to print' )
	ENDIF

!   Grid data read
	status = TKreadGridMulti( granuleHandle3DPR, L3DPR, 'L3DPR_FS' )

    do ltL=1, N_LTL
        do lnL=1, N_LHL
            do chn=1, N_CHN
                do rt=1, N_RT
                    do st=1, N_ST
                        ! precipRateESurface.mean Read
                        precipEsurf(ltL, lnL, chn, rt, st) = L3DPR.G1.precipRateESurface.mean(ltL, lnL, chn, rt, st)

                        ! print the value
                        IF(lnL .eq. 64 .and. ltL .eq. 15 .and. chn .eq. 1 .and. st .eq. 1 ) THEN
                            write(*,*) "st=",st-1,"rt=",rt-1
                            lat = (140.0/28.0) * (ltL-1) - 70.0 + (140.0/28.0/2)
                            lon = (360.0/72.0) * (lnL-1) - 180.0 + (360.0/72.0/2)
                            write(*,*) "lat=",lat,"lon=",lon
                            write(*,*) "chn=1 lnL=64 ltL=15 precipRateEsurface.mean=",precipEsurf(ltL, lnL, chn, rt, st), "(mm/hr)" 
                        ENDIF
                    enddo
                enddo
            enddo
        enddo
    enddo

!   HDF file close
	status = TKclose( granuleHandle3DPR )
	STOP
END
	

PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_1BKu.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle1BKu
RECORD /L1BKu_FS/ L1BKu

	PARAMETER( NANGLE=49, NRANGE=260 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

    REAL*8 lat(NANGLE), lon(NANGLE)
	INTEGER*2 noisePower(NANGLE), echoPower(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay

	call getarg( 1, jobname )
	call getarg( 2, file )

    ! Open the file for reading.
	!status = TKopen( file, '1BKu', TKREAD, 'HDF5', jobname, granuleHandle1BKu, 0 )
        status = TKopen( file, '1BKu', TKREAD, 'NETCDF4', jobname, granuleHandle1BKu, 0 )
        IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle1BKu.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandle1BKu, 'SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandle1BKu, L1BKu )

		! ScanTime Read
		year      = L1BKu.ScanTime.Year
		month     = L1BKu.ScanTime.Month
		dayOfMon  = L1BKu.ScanTime.DayOfMonth
		hour      = L1BKu.ScanTime.Hour
		min       = L1BKu.ScanTime.Minute
		sec       = L1BKu.ScanTime.Second
		msec      = L1BKu.ScanTime.MilliSecond
		dayOfYear = L1BKu.ScanTime.DayOfYear
		secOfDay  = L1BKu.ScanTime.SecondOfDay

		do iangle=1,NANGLE
            ! Latitude and Longitude Read
            lat(iangle)  = L1BKu.Latitude(iangle)
            lon(iangle)  = L1BKu.Longitude(iangle)

            ! noisePower Read
            noisePower(iangle) = L1BKu.Receiver.noisePower(iangle)                                

            ! echoPower Read
        	do irange=1,NRANGE
                echoPower(irange, iangle) = L1BKu.Receiver.echoPower(irange, iangle)
            enddo

            ! print the value
            IF(iscan .eq. 3947 .and. iangle .eq. 20 ) THEN
                write(*,*) "scan=",iscan-1,",angle=",iangle-1
                write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                write(*,*) "echoPower(260)=",echoPower(260,iangle) 
                write(*,*) "noisePower=",noisePower(iangle) 
            ENDIF
        enddo
    enddo

    ! Close HDF5 file.
	status = TKclose( granuleHandle1BKu )
	STOP
END
	

PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3GSLH.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3GSLH
RECORD /L3GSLH_GRID/ L3GSLH

    PARAMETER( N_LAT=268, N_LON=720, N_LAY=80 )

	INTEGER status
	INTEGER st, rt, chn, lnL, ltL 
	CHARACTER*255 jobname, file

    REAL*4 allLHCndMean(N_LAT,N_LON,N_LAY)
    REAL*4 lat, lon

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	!status = TKopen( file, '3GSLH', TKREAD, 'HDF5', jobname, granuleHandle3GSLH, 0 )
        status = TKopen( file, '3GSLH', TKREAD, 'NETCDF4', jobname, granuleHandle3GSLH, 0 )
        IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3GSLH.jobname, TKERROR,'message to print' )
	ENDIF

!   Grid data read
	status = TKreadGrid( granuleHandle3GSLH, L3GSLH )

    do ltL=1, N_LAT
        do lnL=1, N_LON
            do lay=1, N_LAY
                ! allLHCndMean Read
                allLHCndMean(ltL, lnL, lay) = L3GSLH.allLHCndMean(ltL, lnL, lay)

                ! print the value
                IF(lnL .eq. 621 .and. ltL .eq. 201 .and. lay .eq. 2 ) THEN
                    lat = (134.0/268.0) * (ltL-1) - 67.0 + (134.0/268.0/2)
                    lon = (360.0/720.0) * (lnL-1) - 180.0 + (360.0/72.0/2)
                    write(*,*) "lat=",lat,"lon=",lon
                    write(*,*) "lay=2 lnL=621 ltL=201 allLHCndMean=",allLHCndMean(ltL, lnL, lay), "(K/hr)" 
                ENDIF
            enddo
        enddo
    enddo

!   HDF file close
	status = TKclose( granuleHandle3GSLH )
	STOP
END
	

PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        CHARACTER(LEN=70), PARAMETER :: filename = "../data/GPM/DPR/GPMCOR_DPR_2604010211_0345_068594_L2S_DD2_08A.nc"
        CHARACTER(LEN=26), PARAMETER :: dsetname = "/FS/SLV/precipRateESurface"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(49,7988) :: precipRateESurface ! Data buffers
        INTEGER(HSIZE_T), DIMENSION(2) :: data_dims
	    INTEGER error 


        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)

        ! Read precipRateESurface.
        data_dims(1) = 49 
        data_dims(2) = 7988
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, precipRateESurface, data_dims, error)

        ! print the value
        write(*,*) "filename=",filename,""
        write(*,*) "dataset name=",dsetname,""
        write(*,*) "precipRateESurface(44,5211)=",precipRateESurface(44,5211), "(mm/hr)" 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	    STOP
END
	

PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_2AGPROFGMI.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle2AGPROFGMI
RECORD /L2AGPROFGMI_S1/ GPROFGMI 

	PARAMETER( NANGLE=221 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

        REAL*8 lat(NANGLE), lon(NANGLE)
        REAL*4 surfacePrecipitation(NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay

	call getarg( 1, jobname )
	call getarg( 2, file )

        ! Open the file for reading.
	!status = TKopen( file, '2AGPROFGMI', TKREAD, 'HDF5', jobname, granuleHandle2AGPROFGMI, 0 )
        status = TKopen( file, '2AGPROFGMI', TKREAD, 'NETCDF4', jobname, granuleHandle2AGPROFGMI, 0 )
        IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle2AGPROFGMI.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt(granuleHandle2AGPROFGMI, 'SwathHeader','NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandle2AGPROFGMI, GPROFGMI )

		! ScanTime Read
		year      = GPROFGMI.ScanTime.Year
		month     = GPROFGMI.ScanTime.Month
		dayOfMon  = GPROFGMI.ScanTime.DayOfMonth
		hour      = GPROFGMI.ScanTime.Hour
		min       = GPROFGMI.ScanTime.Minute
		sec       = GPROFGMI.ScanTime.Second
		msec      = GPROFGMI.ScanTime.MilliSecond
		dayOfYear = GPROFGMI.ScanTime.DayOfYear
		secOfDay  = GPROFGMI.ScanTime.SecondOfDay

		do iangle=1,NANGLE
                        ! Latitude and Longitude Read
                        lat(iangle)  = GPROFGMI.Latitude(iangle)
                        lon(iangle)  = GPROFGMI.Longitude(iangle)

                        ! surfacePrecipitation Read
                        surfacePrecipitation(iangle) = GPROFGMI.surfacePrecipitation(iangle)

                        ! print the value
                        IF(iscan .eq. 2001 .and. iangle .eq. 152 ) THEN
                             write(*,*) "scan=",iscan-1,",angle=",iangle-1
                             write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                             write(*,*) "surfacePrecipitation=",surfacePrecipitation(iangle), "(mm/h)" 
                        ENDIF
                enddo
         enddo

	status = TKclose( granuleHandle2AGPROFGMI )
	STOP
END
	

PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_2HSLH.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandleL2HSLH
RECORD /L2HSLH_SWATH/ L2HSLH

	PARAMETER( NANGLE=49, NRANGE=80 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

    REAL*8 lat(NANGLE), lon(NANGLE)
    REAL*4 latentHeating(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	!status = TKopen( file, '2HSLH', TKREAD, 'HDF5', jobname, granuleHandleL2HSLH, 0 )
        status = TKopen( file, '2HSLH', TKREAD, 'NETCDF4', jobname, granuleHandleL2HSLH, 0 )
        IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandleL2HSLH.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandleL2HSLH, 'SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandleL2HSLH, L2HSLH )

		! ScanTime Read
		year      = L2HSLH.ScanTime.Year
		month     = L2HSLH.ScanTime.Month
		dayOfMon  = L2HSLH.ScanTime.DayOfMonth
		hour      = L2HSLH.ScanTime.Hour
		min       = L2HSLH.ScanTime.Minute

		do iangle=1,NANGLE

            ! Latitude and Longitude Read
            lat(iangle)  = L2HSLH.Latitude(iangle)
            lon(iangle)  = L2HSLH.Longitude(iangle)

            ! latentHeating Read
			do irange=1,NRANGE
                latentHeating(irange, iangle) = L2HSLH.latentHeating(irange, iangle)
!               write(*,*) iscan, iangle, irange, "precipRate = ", precipRate(irange, iangle)
            enddo

            ! print the value
            IF(iscan .eq. 161 .and. iangle .eq. 41 ) THEN
                write(*,*) "scan=",iscan-1,",angle=",iangle-1
                write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                write(*,*) "latentHeating=",latentHeating(11,iangle), "(K/hr)" 
            ENDIF
        enddo
    enddo

	status = TKclose( granuleHandleL2HSLH )
	STOP
END
	

PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        CHARACTER(LEN=64), PARAMETER :: filename =&
            "../data/GPM/DPR/GPMCOR_DPR_2603_M_L3S_D3M_08A.nc"
        CHARACTER(LEN=34), PARAMETER :: dsetname = "/FS/G1/precipRateESurface/mean"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(28,72,3,3,3) :: precipRateESurface ! Data buffers
        REAL*4 lat, lon
        INTEGER(HSIZE_T), DIMENSION(5) :: data_dims
	    INTEGER error 


        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)
        ! write(*,*) "h5dopen_f","error =",error 

        ! Read precipRateESurface.
        data_dims(1) = 28 
        data_dims(2) = 72 
        data_dims(3) = 3 
        data_dims(4) = 3 
        data_dims(5) = 3 
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, precipRateESurface, data_dims, error)
        ! write(*,*) "h5dread_f","error =",error 

        ! print the value
        write(*,*) "filename=",filename 
        write(*,*) "dataset name=",dsetname 
        lat = (140.0/28.0) * (15-1) - 70.0 + (140.0/28.0/2)
        lon = (360.0/72.0) * (64-1) - 180.0 + (360.0/72.0/2)
        write(*,*) "lat=",lat,"lon=",lon
        write(*,*) "precipRateESurface.mean(15,64,1,1,1)=",precipRateESurface(15,64,1,1,1) 
        write(*,*) "precipRateESurface.mean(15,64,1,2,1)=",precipRateESurface(15,64,1,2,1) 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	    STOP
END
	

PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3HSLH.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3HSLH
RECORD /L3HSLH_GRID/ L3HSLH

    PARAMETER( N_LAT=268, N_LON=720, N_LAY=80 )

    INTEGER status
    INTEGER st, rt, chn, lnL, ltL 
    CHARACTER*255 jobname, file

    REAL*4 LHCndMean(N_LAT,N_LON,N_LAY)
    REAL*4 lat, lon

    call getarg( 1, jobname )
    call getarg( 2, file )

!   Open the file for reading.
    !status = TKopen( file, '3HSLH', TKREAD, 'HDF5', jobname, granuleHandle3HSLH, 0 )
    status = TKopen( file, '3HSLH', TKREAD, 'NETCDF4', jobname, granuleHandle3HSLH, 0 )
    IF ( status .NE. TK_SUCCESS ) THEN 
        status = TKmessage( granuleHandle3HSLH.jobname, TKERROR,'message to print' )
    ENDIF

!   Grid data read
    status = TKreadGrid( granuleHandle3HSLH, L3HSLH )

    do ltL=1, N_LAT
        do lnL=1, N_LON
            do lay=1, N_LAY
                ! LHCndMean Read
                LHCndMean(ltL, lnL, lay) = L3HSLH.LHCndMean(ltL, lnL, lay)

                ! print the value
                IF(lnL .eq. 621 .and. ltL .eq. 201 .and. lay .eq. 2 ) THEN
                    lat = (134.0/268.0) * (ltL-1) - 67.0 + (134.0/268.0/2)
                    lon = (360.0/720.0) * (lnL-1) - 180.0 + (360.0/720.0/2)
                    write(*,*) "lat=",lat,"lon=",lon
                    write(*,*) "lay=2 lnL=621 ltL=201 LHCndMean=",LHCndMean(ltL, lnL, lay), "(K/hr)" 
                ENDIF
            enddo
        enddo
    enddo

!   HDF file close
    status = TKclose( granuleHandle3HSLH )
    STOP
END
    
